*Bachelor thesis:
use BA-data,replace
drop id
egen id=group (wbccode)

drop if year<2000
drop if year>2015 //Remove the unnecessary years

keep if inlist(id, 3, 14, 16, 17, 31, 32, 38, 39, 40, 41, 43, 44, 59, 62, 68, 71, 73, 74, 75, 76, 101, 110, 115, 124, 129, 135, 136, 137, 138, 140, 142, 143, 167, 169, 170, 173, 176, 178, 179, 184, 186, 189, 190, 200, 201, 215, 216, 217) //Keep the countries in SSA

sort id year
tsset id year //time/year variable


label variable usfditot "US total FDI in a year"
label variable extractivefdi "US extractive FDI in a year"
label variable non_extractivefdi "US non-extractive FDI in a year"
label variable v2x_clphy "State respect against violation of human rights"


by id: gen lgdppc=ln(gdppc)
by id: gen lresgdp=ln(1+natural_resource_gdp) if natural_resource_gdp!=.
by id: replace non_extractivefdi=0 if non_extractivefdi==. & extractivefdi!=. 
by id: gen newtotal=non_extractivefdi+extractivefdi if extractivefdi!=.
label variable lgdppc "log (GDP per capita)"
summarize



by id: gen newtotalpc=(newtotal/pop_total)*1000
by id: gen lnewtotalpc=ln(1+newtotalpc) if newtotalpc!=.
xtserial lnewtotalpc lgdppc natural_resource_gdp v2x_libdem civilwar peaceyrs

list countryname if e(sample) //list of countries in study.

pwcorr lnewtotalpc l.v2x_libdem l.v2x_corr l.v2x_clphy l.lgdppc l.lresgdp l.civilwar l.peaceyrs  //correlation test
sum lnewtotalpc l.v2x_libdem l.v2x_corr l.v2x_clphy l.lgdppc l.lresgdp l.civilwar l.peaceyrs  //descriptive statistics
mkcorr lnewtotalpc v2x_libdem v2x_corr v2x_clphy lgdppc lresgdp civilwar peaceyrs, log(descriptive_stat) means //correlation and descriptive statistics table 


//first regression
xtreg lnewtotalpc l.v2x_libdem l.lgdppc l.lresgdp l.civilwar l.peaceyrs i.year,
outreg2 using table.xls,bdec(2) sdec(2) sym(***,**,*) onecol nolabel replace //regression table 

//second regression
xtreg lnewtotalpc l.v2x_corr l.lgdppc l.lresgdp l.civilwar l.peaceyrs i.year,
outreg2 using table.xls,bdec(2) sdec(2) sym(***,**,*) onecol nolabel append //adding to table 

//third regression
xtreg lnewtotalpc l.v2x_clphy l.lgdppc l.lresgdp l.civilwar l.peaceyrs i.year,
outreg2 using table.xls,bdec(2) sdec(2) sym(***,**,*) onecol nolabel append //adding to table 


